Checks if array has a value. [:running:] [:vhs:] [:package:] [:moon:]
> Alternatives: [compare], [map].<br>
> Similar: [value], [values], [isValue].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.isValue(x, v, [fn]);
// x:  an array
// v:  value?
// fn: compare function (a, b)
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 4];
array.isValue(x, 3);
// true

array.isValue(x, -3);
// false

array.isValue(x, -3, (a, b) => Math.abs(a) - Math.abs(b));
// true
```

### references

- [Data.List.isSuffixOf(): Haskell](https://hackage.haskell.org/package/base-4.12.0.0/docs/Data-List.html#v:isSuffixOf)
- [String.prototype.endsWith(): MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/endsWith)
- [ends-with: @jonschlinkert](https://www.npmjs.com/package/ends-with)
- [List-Extra.isSuffixOf(): elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#isSuffixOf)

[compare]: https://github.com/nodef/extra-array/wiki/isValue
[map]: https://github.com/nodef/extra-array/wiki/isValueOn
[:running:]: https://npm.runkit.com/@extra-array/is-value
[:vhs:]: https://asciinema.org/a/320030
[:package:]: https://www.npmjs.com/package/@extra-array/is-value
[:moon:]: https://www.npmjs.com/package/@extra-array/is-value.min
[value]: https://github.com/nodef/extra-array/wiki/value
[values]: https://github.com/nodef/extra-array/wiki/values
[isValue]: https://github.com/nodef/extra-array/wiki/isValue
